





@extends('layouts.master')
@section('title', 'Pnscrm')
@section('page', 'Home')
@section('sidebar')
    @parent

@endsection

@section('content')

 <div class="main-panel">
        <div class="content-wrapper">
          <div class="row profile-page">
            <div class="col-12">
              <div class="card">
                <div class="card-body">
                  <div class="profile-header text-white">
                    <div class="d-flex justify-content-around">
                      <div class="profile-info d-flex align-items-center">
                        <img class="rounded-circle img-lg" src="images/faces/profile/default.jpg" alt="Logo">
                        <div class="wrapper pl-4">
                          <p class="profile-user-name">{{ucwords($companyinfo->name)}}</p>
                          <div class="wrapper d-flex align-items-center">
                            <p class="profile-user-designation">{{ucwords($companyinfo->description)}}</p>
                          </div>
                        </div>
                      </div>
                      <div class="details">
                        <div class="detail-col">
                          <p>Projects</p>
                          <p>{{$totalprojects}}</p>
                        </div>
                        <div class="detail-col">
                          <p>Employees</p>
                          <p>{{$totalemp}}</p>
                        </div>
                      </div>
                    </div>
                     @if($role->rolename=='System Admin')
                       <div style="float:right" class="dropdown">
                      <button class="btn btn-success dropdown-toggle" type="button" id="dropdownMenuButton2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Add New +
                      </button>
                      <div class="dropdown-menu" aria-labelledby="dropdownMenuButton2">
                        
                        <a class="dropdown-header"><a data-toggle="modal" data-target="#employeeModal" class="nav-link">Employee</a>
                        <a class="dropdown-header"><a data-toggle="modal" data-target="#productModal" class="nav-link">Product</a>
                        <a class="dropdown-header"><a data-toggle="modal" data-target="#sourceModal" class="nav-link">Source</a>
                        <a class="dropdown-header"><a data-toggle="modal" data-target="#officeModal" class="nav-link">Office</a>
                        
                      </div>
                    </div>
@endif

                  </div>
                    
                    <div class="modal fade" id="employeeModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-2" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel-2">New Employee</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                          <form action = "{{'NewEmployee'}}" class="form-sample" method = "POST">
                @csrf
                
                        <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">First Name</label>
                          <div class="col-sm-9">
                           <input type="text" name="name" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('name'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                 <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Last Name</label>
                          <div class="col-sm-9">
                           <input type="text" name="lastname" class="form-control{{ $errors->has('lastname') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('lastname'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('lastname') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Email address</label>
                          <div class="col-sm-9">
                              <input type="Email" name="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required/>
                @if ($errors->has('email'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                        <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Password</label>
                          <div class="col-sm-9">
                           <input type="password" name="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('password'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Office</label>
                          <div class="col-sm-9">
                              <select class="form-control form-control-sm{{ $errors->has('city') ? ' is-invalid' : '' }}" style="text-transform:uppercase" name="city" id="exampleFormControlSelect3">
                         @foreach($officelist as $officelists)
                       <option value="{{$officelists->id}}">{{$officelists->office}}</option>
                          @endforeach
                    </select>
                          </div>
                        </div>
                      </div>
                <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Designation</label>
                          <div class="col-sm-9">
                           <input type="text" name="designation" class="form-control{{ $errors->has('designation') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('designation'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('designation') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                 <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Role</label>
                          <div class="col-sm-9">
                              <select class="form-control form-control-sm{{ $errors->has('role') ? ' is-invalid' : '' }}" style="text-transform:uppercase" name="role" id="exampleFormControlSelect3">
                          @foreach($rolelist as $rolelists)
                       <option value="{{$rolelists->id}}">{{$rolelists->rolename}}</option>
                          @endforeach
                    </select>
                          </div>
                        </div>
                 </div>
                <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Manager</label>
                          <div class="col-sm-9">
                              <select class="form-control form-control-sm{{ $errors->has('head') ? ' is-invalid' : '' }}" style="text-transform:uppercase" name="head" id="exampleFormControlSelect3">
                          @foreach($employeelist as $employeelists)
                       <option value="{{$employeelists->id}}">{{$employeelists->firstname}} {{$employeelists->lastname}}</option>
                          @endforeach
                    </select>
                          </div>
                        </div>
                 </div>



                        <div class="modal-footer">
                          <button type="submit" class="btn btn-success">Submit</button>
                          <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                        </div>
                          </form>
                      </div>
                    </div>
                  </div>
                    
                    <div class="modal fade" id="productModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-2" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel-2">New Product</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                          <form action = "{{'NewProduct'}}" class="form-sample" method = "POST">
                @csrf
                
                        <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Product Name</label>
                          <div class="col-sm-9">
                           <input type="text" name="name" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('name'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Description</label>
                          <div class="col-sm-9">
                              <input type="text" name="description" class="form-control{{ $errors->has('description') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required/>
                @if ($errors->has('description'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                        <div class="modal-footer">
                          <button type="submit" class="btn btn-success">Submit</button>
                          <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                        </div>
                          </form>
                      </div>
                    </div>
                  </div>
                    
                    
                    <div class="modal fade" id="sourceModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-2" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel-2">New Source</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                          <form action = "{{'NewSource'}}" class="form-sample" method = "POST">
                @csrf
                
                        <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Source</label>
                          <div class="col-sm-9">
                           <input type="text" name="name" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('name'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Note</label>
                          <div class="col-sm-9">
                              <input type="text" name="note" class="form-control{{ $errors->has('note') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required/>
                @if ($errors->has('note'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('note') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                        <div class="modal-footer">
                          <button type="submit" class="btn btn-success">Submit</button>
                          <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                        </div>
                          </form>
                      </div>
                    </div>
                  </div>
                    
                    
                    <div class="modal fade" id="officeModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-2" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel-2">New Office</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                          <form action = "{{'NewOffice'}}" class="form-sample" method = "POST">
                @csrf
                
                        <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Office Name</label>
                          <div class="col-sm-9">
                           <input type="text" name="name" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required />
                @if ($errors->has('name'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-11">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Address</label>
                          <div class="col-sm-9">
                              <input type="text" name="address" class="form-control{{ $errors->has('address') ? ' is-invalid' : '' }}" style="text-transform:capitalize" required/>
                @if ($errors->has('address'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('address') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                        <div class="modal-footer">
                          <button type="submit" class="btn btn-success">Submit</button>
                          <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                        </div>
                          </form>
                      </div>
                    </div>
                  </div>
                    
                    
                  <div class="profile-body">
                    <ul class="nav tab-switch" role="tablist">
                      <li class="nav-item">
                        <a class="nav-link active" id="user-profile-info-tab" data-toggle="pill" href="#user-profile-info" role="tab" aria-controls="user-profile-info" aria-selected="true">Company Profile</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" id="user-profile-activity-tab" data-toggle="pill" href="#user-profile-Employees" role="tab" aria-controls="user-profile-Employees" aria-selected="false">Employees</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" id="user-profile-activity-tab" data-toggle="pill" href="#user-profile-Products" role="tab" aria-controls="user-profile-Products" aria-selected="false">Products</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" id="user-profile-activity-tab" data-toggle="pill" href="#user-profile-Stages" role="tab" aria-controls="user-profile-Stages" aria-selected="false">Stages</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" id="user-profile-activity-tab" data-toggle="pill" href="#user-profile-Source" role="tab" aria-controls="user-profile-Source" aria-selected="false">Lead Source</a>
                      </li>
                    <!--  <li class="nav-item">
                        <a class="nav-link" id="user-profile-activity-tab" data-toggle="pill" href="#user-profile-Themes" role="tab" aria-controls="user-profile-Themes" aria-selected="false">Themes</a>
                      </li>-->
                    </ul> 
                      
                    <div class="row">
                      <div class="col-md-11">
                        <div class="tab-content tab-body" id="profile-log-switch">
                          
                            <div class="tab-pane fade show active pr-3" id="user-profile-info" role="tabpanel" aria-labelledby="user-profile-info-tab">
                           <div class="row">
            <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                   <table class="table table-borderless w-100 mt-4">
                              <tr>
                                <td><strong>Company Name :</strong> {{ucwords($companyinfo->name)}}</td>
                              </tr>
                              <tr>
                                <td><strong>Email :</strong> {{$companyinfo->email}}</td>
                              </tr>
                              <tr>
                                <td><strong>Phone :</strong> {{$companyinfo->phone}}</td>
                              </tr>
                            </table>
                </div>
              </div>
            </div>
            <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
               <div class="card-body">
                   <table class="table table-borderless w-100 mt-4">
                              <tr>
                                <td><strong>Website :</strong> {{$companyinfo->website}}</td>
                              </tr>
                              <tr>
                                <td><strong>Address :</strong> {{ucwords($companyinfo->address)}}</td>
                              </tr>
                              <tr>
                                <td><strong>City :</strong> {{ucwords($companyinfo->city)}}</td>
                              </tr>
                            </table>
                </div>
              </div>
                
            </div>  <div class="col-md-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">Offices</h4>
                  <div class="vertical-tab">
                    <ul class="nav nav-tabs tab-solid tab-solid-info mr-4" role="tablist">
                        @php 
                          $tabcount=1;
                          @endphp
                      @foreach($officelist as $officelists)
                      @php 
                          $tabcount=$tabcount++;
                          @endphp
                      @if($officelists->id==Auth::user()->offices_id) 
                      <li class="nav-item">
                        <a class="nav-link active" id="tab-6-1" data-toggle="tab" href="#{{$officelists->office}}-6-1" role="tab" aria-controls="{{$officelists->office}}-6-1" aria-selected="true">{{ucwords($officelists->office)}}</a>
                      </li>
                      @else
                      <li class="nav-item">
                        <a class="nav-link" id="tab-6-{{$tabcount}}" data-toggle="tab" href="#{{$officelists->office}}-6-{{$tabcount}}" role="tab" aria-controls="{{$officelists->office}}-6-{{$tabcount}}" aria-selected="true">{{ucwords($officelists->office)}}</a>
                      </li>
                      @endif
                      @endforeach
                    </ul>
                      
                    <div class="tab-content tab-content-solid">
                        @php 
                          $tabcont=1;
                          @endphp
                        @foreach($officelist as $officelists)
                        @php 
                          $tabcont=$tabcont++;
                          @endphp
                        @if($officelists->id==Auth::user()->offices_id) 
                      <div class="tab-pane fade show active" id="{{$officelists->office}}-6-1" role="tabpanel" aria-labelledby="tab-6-1">
                        <div class="row">
                            <p>Address</p>
                          <p class="mt-3">{{ucwords($officelists->Address)}}.</p>
                        </div>
                      </div>
                        @else
                        <div class="tab-pane fade" id="{{$officelists->office}}-6-{{$tabcont}}" role="tabpanel" aria-labelledby="tab-6-{{$tabcont}}">
                        <div class="row">
                            <p>Address</p>
                            <p class="mt-3">{{ucwords($officelists->Address)}}.</p> 
                        </div>
                        </div>
                        @endif
                      @endforeach
                    </div>
                      
                  </div>
                </div>
              </div>
            </div>
            
          </div>
                            
                            
                          </div>
                            
                          <div class="tab-pane fade" id="user-profile-Stages" role="tabpanel" aria-labelledby="user-profile-Stages-tab">
                            <div class="horizontal-timeline">
                             <div class="row">
                              <div class="col-12 mt-5">
                                <h5 class="mb-5">Stages</h5>
                                <div class="stage-wrapper pl-4">
                                  <div class="stages border-left pl-5 pb-4">
                                    <div class="btn btn-icons btn-rounded stage-badge btn-inverse-success">
                                      <i class="mdi mdi-texture"></i>
                                    </div>
                                    <div class="d-flex align-items-center mb-2 justify-content-between">
                                      <h5 class="mb-0">Lead</h5>
                                    </div>
                                    <p>A lead represents any person or organization that a company might have the potential to do business</p>
                                  </div>
                                  <div class="stages border-left pl-5 pb-4">
                                    <div class="btn btn-icons btn-rounded stage-badge btn-inverse-danger">
                                      <i class="mdi mdi-download"></i>
                                    </div>
                                    <div class="d-flex align-items-center mb-2 justify-content-between">
                                      <h5 class="mb-0">Opportunities</h5>
                                      <small class="text"><i class="fa fa-edit"></i>Edit</small>
                                    </div>
                                      
                                    <div class="col-md-4 grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<ul class="bullet-line-list">
                                                                            @foreach($stagelist as $stagelists)
										<li>
											<h6>{{ucwords($stagelists->stages)}}</h6>
											<div class="progress progress-md">
                      <div class="progress-bar bg-{{$stagelists->color}} progress-bar-striped progress-bar-animated"  role="progressbar" style="width: {{ucwords($stagelists->odds)}}%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
												
											</p>
                                                                                        
                                      <small class="text">{{$stagelists->odds}}%</small>
										</li>
                                                                                @endforeach
										
									</ul>
								</div>
							</div>
                                    </div></div>
                                       <div class="stages pl-5 pb-4">
                                    <div class="btn btn-icons btn-rounded stage-badge btn-inverse-primary">
                                      <i class="mdi mdi-checkbox-marked-circle-outline"></i>
                                    </div>
                                    <div class="d-flex align-items-center mb-2 justify-content-between">
                                      <h5 class="mb-0">Closed</h5>
                                      
                                    </div>
                                     <div class="col-md-4 grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<ul class="bullet-line-list">
                                                                            
										<li>
                                                                                    <h6><i class="mdi mdi-check icon-lg text-success"></i>Won</h6>
											</p>
                                                                                        
										</li>
                                                                                <li>
											<h6><i class="mdi mdi-close icon-lg text-danger"></i>Lost</h6>
											</p>
                                                                                        
										</li>
										
									</ul>
								</div>
							</div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                            </div>
                          </div>
                            <div class="tab-pane fade" id="user-profile-Products" role="tabpanel" aria-labelledby="user-profile-Products-tab">
                            <div class="horizontal-timeline">
                             <div class="row">
                <div class="col-12">
                  <table id="order-listing" class="table">
                    <thead>
                      <tr>
                          <th>Product Name</th>
                          <th>Description</th>
                          
                      </tr>
                    </thead>
                    <tbody>
                        @foreach($productlist as $productlists)
                      <tr>
                          <td>{{ucwords($productlists->productname)}}</td>
                          <td>{{ucwords($productlists->productdescription)}}</td>
                          
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                </div>
          </div>
                            </div>
                          </div>
                            <div class="tab-pane fade" id="user-profile-Employees" role="tabpanel" aria-labelledby="user-profile-Employees-tab">
                            <div class="horizontal-timeline">
                                 
              <div class="row">
                <div class="col-12">
                  <table id="order-listing" class="table">
                    <thead>
                      <tr>
                          <th>Employee Name</th>
                          <th>Email</th>
                          <th>Job Title</th>
                          <th>Office</th>
                          <th>Status</th>
                      </tr>
                    </thead>
                    <tbody>
                        @foreach($employeelist as $employeelists)
                      <tr>
                          <td>{{ucwords($employeelists->firstname)}} {{ucwords($employeelists->lastname)}}</td>
                          <td>{{ucwords($employeelists->email)}}</td>
                          <td>{{ucwords($employeelists->jobtitle)}}</td>
                          
                          <td>{{ucwords($employeelists->office)}}</td>
                          @if($employeelists->isdeleted=='n')
                          <td><i class="mdi mdi-check icon-lg text-success"></i></td>
                           @elseif($employeelists->isdeleted=='y')
                           <td><i class="mdi mdi-close"></i></td>
                           @endif
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                </div>
          </div>
                            </div>
                          </div>
                            <div class="tab-pane fade" id="user-profile-Source" role="tabpanel" aria-labelledby="user-profile-Source-tab">
                            <div class="horizontal-timeline">
                             <div class="row">
                <div class="col-12">
                  <table id="order-listing" class="table">
                    <thead>
                      <tr>
                          <th>Source Name</th>
                          <th>Description</th>
                          
                      </tr>
                    </thead>
                    <tbody>
                        @foreach($sourcelist as $sourcelists)
                      <tr>
                          <td>{{ucwords($sourcelists->source)}}</td>
                          <td>{{ucwords($sourcelists->note)}}</td>
                          
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                </div>
          </div>
                            </div>
                          </div>
                          <div class="tab-pane fade" id="user-profile-Themes" role="tabpanel" aria-labelledby="user-profile-Themes-tab">
                            <div class="horizontal-timeline">
                             
                            </div>
                          </div>
                        </div>
                      </div>
                      
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- content-wrapper ends -->
        <!-- partial:partials/_footer.html -->
       
@endsection
@section('footer')
 <!-- Custom js for this page-->
  <script src="js/form-addons.js"></script>
  <script src="js/avgrund.js"></script>  <!-- End custom js for this page-->
  <script src="js/data-table.js"></script>
  <script src="js/x-editable.js"></script>
@endsection