@extends('layouts.master')
@section('title', 'Pnscrm')
@section('page', 'Home')
@section('sidebar')
    @parent

@endsection

@section('content')
<div class="main-panel">
        <div class="content-wrapper">
<div class="col-12 grid-margin">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">New Lead</h4>
                  
                      <form action = "{{'newlead'}}" class="form-sample" method = "POST">
                @csrf
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Title</label>
                          <div class="col-sm-9">
                           <input type="text" name="projectname" class="form-control{{ $errors->has('projectname') ? ' is-invalid' : '' }}" style="text-transform:capitalize" maxlength="50" required />
                @if ($errors->has('projectname'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('projectname') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                          
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Customer</label>
                          <div class="col-sm-9">
                            <select class="js-example-basic-single" name="customer" style="width:100%" required>
                                <option disabled selected value> -- select an option -- </option>
                          @foreach ($customerlist as $customerlists) 
                  <option value='{{$customerlists->id}}'>{{$customerlists->organisationname}}</option>';
               @endforeach
                        </select>
                              @if ($errors->has('customer'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('customer') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                     <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Source</label>
                          <div class="col-sm-9">
                            <select class="js-example-basic-single{{ $errors->has('source') ? ' is-invalid' : '' }}" name="source" style="width:100%" required>
                                <option disabled selected value> -- select an option -- </option>
                          @foreach ($sourcelist as $sourcelists) 
                  <option value='{{$sourcelists->id}}'>{{$sourcelists->source}}</option>';
               @endforeach
                        </select>
                              @if ($errors->has('source'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('source') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Owner</label>
                          <div class="col-sm-9">
                            <select class="js-example-basic-single{{ $errors->has('owner') ? ' is-invalid' : '' }}" name="owner" style="width:100%" required>
                                <option disabled selected value> -- select an option -- </option>
                          @foreach ($employeelist as $employeelists) 
                  <option value='{{$employeelists->id}}'>{{$employeelists->firstname}} {{$employeelists->lastname}}</option>';
               @endforeach
                        </select>
                              @if ($errors->has('owner'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('owner') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                          </div>
                        </div>
                     
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Stage</label>
                          <div class="col-sm-9">
                            <select class="js-example-basic-single{{ $errors->has('stage') ? ' is-invalid' : '' }}" name="stage" style="width:100%" required>
                               <option disabled selected value> -- select an option -- </option>
                          @foreach ($stagelist as $stagelists) 
                  <option value='{{$stagelists->id}}'>{{$stagelists->stages}}</option>';
               @endforeach
                        </select>
                              @if ($errors->has('stage'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('stage') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Amount</label>
                          <div class="col-sm-9">
                            <input type="number" name="amount" max="99999999999999.99" class="form-control" />
                          </div>
                        </div>
                      </div>
                    </div>
                <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Dead Line</label>
                          <div class="col-sm-9">
                           <input type="date" name="deadline" class="form-control{{ $errors->has('deadline') ? ' is-invalid' : '' }}" style="text-transform:capitalize" />
                @if ($errors->has('projectname'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('deadline') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                          
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Products</label>
                          <div class="col-sm-9">
                            <select class="js-example-basic-single" name="product" style="width:100%" required>
                                <option disabled selected value> -- select an option -- </option>
                         
                                @foreach ($productlist as $productlists) 
                  <option value='{{$productlists->id}}'>{{$productlists->productname}}</option>';
               @endforeach
                        </select>
                              @if ($errors->has('product'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('product') }}</strong>
                                    </span>
                                @endif
                          </div>
                        </div>
                      </div>
                    </div>
                <div style="float:right">
                    <button type="submit" class="btn btn-success mr-2">Submit</button>
                    <button class="btn btn-light">Cancel</button>
                </div>
                  </form>
                </div>
              </div>
            </div>
        </div>
@endsection
@section('footer')
 <!-- Custom js for this page-->
 <script src="js/alerts.js"></script>
  <!-- End custom js for this page-->
@endsection